package com.bcxin.risk.policy.enums;

/**
 * @author LeeJungHyun
 **/
public enum BenefitPeriodType {

	LIFE_TIME(1, "L", "终身"),

	ANNUAL(2, "Y", "年"),

	AGE(3, "A", "周岁"),

	MONTHLY(4, "M", "月"),

	DAILY(5, "D", "天");

	private BenefitPeriodType(int code, String value, String descript) {
		this.code = code;
		this.value = value;
		this.descript = descript;
	}

	private int code;
	private String value;
	private String descript;

	public Integer code() {
		return code;
	}

	public int getCode() {
		return code;
	}

	public void setCode(int code) {
		this.code = code;
	}

	public String getValue() {
		return value;
	}

	public void setValue(String value) {
		this.value = value;
	}

	public String getDescript() {
		return descript;
	}

	public void setDescript(String descript) {
		this.descript = descript;
	}

}
